<?php
//##############################################################################
//## PLINK - Funktionen                                                       ##
//##############################################################################

if (!class_exists('Template')) {
class Template
{
	function Template($ptTPLFile) 	{
		global $tpldir;
		$ptTPLFile = $tpldir.$ptTPLFile;
        if( !file_exists($ptTPLFile) )
		{
			$this->Stop("TPL File nicht auffindbar: " . $ptTPLFile );
		}
		$this->ptTPLData = @implode('', (@file($ptTPLFile)));
		$this->ptTPLData = str_replace('"', '\"', $this->ptTPLData);
	}
	function TemplateVar($ptVarName ) 	{
		return ('$' . $ptVarName . ' .= "' . $this->ptTPLData . '";');
    }
    function Stop($ptErrorMsg) 	{
		echo "<pre>PTemplate error: " . $ptErrorMsg . "</pre>";
		exit;
	}
}
}

if (!function_exists('PageSwitcher')) {
function PageSwitcher($eintragaktuell, $zps, $gesamt, $linkstring) {
global $lang;
$maxsites = 10;
$eintrag="0";
$seite="1";
$seitenanzeige = "Seite: ";
$eintrag=$eintragaktuell;
$aktseite=($eintragaktuell+$zps)/$zps;
$seite = $aktseite-$maxsites;
if ($seite < 1) {
  $seite = 1;
}
$eintrag = ($seite*$zps)-$zps;
if ($seite < 1) {
  $seite = 1;
}
if ($seite > 1) {
  $seitenanzeige= $seitenanzeige."$linkstring=0\">1</a> << ";
}
while ($eintrag < $gesamt) {
         //$bis = $eintrag+$tps;
           if ($eintrag==$eintragaktuell) {
               $seitenanzeige= $seitenanzeige." <b>[$seite]</b> "; }
           else {
               $seitenanzeige= $seitenanzeige." $linkstring=$eintrag\">$seite</a>"; }
         $eintrag = ($eintrag+$zps);
         $seite = $seite+1;
           if ($seite > ($aktseite+$maxsites)) {
            $seitenanzeige= $seitenanzeige." >> ";
            break;
           }
}

$lastpage=ceil($gesamt/$zps);
$eintrag=($lastpage*$zps)-$zps;
if ($lastpage > $seite) {
 $seitenanzeige=$seitenanzeige." $linkstring=$eintrag\">$lastpage</a>";
}

return $seitenanzeige;
} //Ende PageSwitcher
}



if (!function_exists(phpLinkCheck)) {
function phpLinkCheck($url, $r = FALSE)
{
  /*  Purpose: Check HTTP Links
   *  Usage:   $var = phpLinkCheck(absoluteURI)
   *           $var["Status-Code"] will return the HTTP status code
   *           (e.g. 200 or 404). In case of a 3xx code (redirection)
   *           $var["Location-Status-Code"] will contain the status
   *           code of the new loaction.
   *           See print_r($var) for the complete result
   *
   *  Author:  Johannes Froemter <j-f@gmx.net>
   *  Date:    2001-04-14
   *  Version: 0.1 (currently requires PHP4)
   */

  $url = trim($url);
  if (!preg_match("=://=", $url)) $url = "http://$url";
  $url = parse_url($url);
  if (strtolower($url["scheme"]) != "http") return FALSE;

  if (!isset($url["port"])) $url["port"] = 80;
  if (!isset($url["path"])) $url["path"] = "/";

  $fp = fsockopen($url["host"], $url["port"], &$errno, &$errstr, 3);

  if (!$fp) return FALSE;
  else
  {
    //socket_set_timeout($fp, 3);
    socket_set_blocking($fp, 0);
    $head = "";
    $httpRequest = "HEAD ". $url["path"] ." HTTP/1.1\r\n"
                  ."Host: ". $url["host"] ."\r\n"
                  ."Connection: close\r\n\r\n";
    fputs($fp, $httpRequest);
    while(!feof($fp)) $head .= fgets($fp, 1024);
    fclose($fp);

    preg_match("=^(HTTP/\d+\.\d+) (\d{3}) ([^\r\n]*)=", $head, $matches);
    $http["Status-Line"] = $matches[0];
    $http["HTTP-Version"] = $matches[1];
    $http["Status-Code"] = $matches[2];
    $http["Reason-Phrase"] = $matches[3];

    if ($r) return $http["Status-Code"];

    $rclass = array("Informational", "Success",
                    "Redirection", "Client Error",
                    "Server Error");
    $http["Response-Class"] = $rclass[$http["Status-Code"][0] - 1];

    preg_match_all("=^(.+): ([^\r\n]*)=m", $head, $matches, PREG_SET_ORDER);
    foreach($matches as $line) $http[$line[1]] = $line[2];

    if ($http["Status-Code"][0] == 3)
      $http["Location-Status-Code"] = phpLinkCheck($http["Location"], TRUE);

    return $http;
  }
}
}

if (!function_exists(formatstring)) {
function formatstring($post) {
    $post= stripslashes($post);
    //$post= htmlspecialchars($post);
    $post= nl2br($post);

    return $post;
}
}


//################## Mail check ####

if (!function_exists(isemail)) {
function isemail ($mail) {
  if (!eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,3}$",$mail)) {
     $ismail = 0;
     # Mailadresse sieht seltsam aus
  }
  else {
     $ismail=1;
  }
  return $ismail;
}
}



?>
